Method: projects.locations.experiments.create

Creates an Experiment and prepares it to run by identifying all cloud resources that will be affected. The Experiment starts in the PREPARING state and transitions to PREPARED once the resources are identified. You can then list these resources using the list method for AffectedResources. To execute the Experiment, call start on the Experiment after it reaches the PREPARED state.

HTTP request

POST https://faulttesting.googleapis.com/v1alpha/{parent=projects/*/locations/*}/experiments

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

Required. The project and location where the experiment will be created. Format: projects/{projectId}/locations/{location}.

Query parameters

Parameters
experimentId

string

Optional. The ID to use for the Experiment, which will become the final component of the resource name. If not provided, a UUID will be generated. This value should be 4-63 characters, start with a letter or number, end with a letter or number, and contain only lowercase letters, numbers, and hyphens.

Request body

The request body contains an instance of Experiment.

Response body

If successful, the response body contains a newly created instance of Experiment.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the parent resource:

  • faulttesting.experiments.create

For more information, see the IAM documentation.